> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ultravox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account SIP configuration

> Returns the SIP configuration for your account



## OpenAPI

````yaml get /api/sip
openapi: 3.0.3
info:
  title: Ultravox
  version: 0.1.0
  description: API for the Ultravox service.
servers:
  - url: https://api.ultravox.ai
security: []
paths:
  /api/sip:
    get:
      tags:
        - sip
      operationId: sip_retrieve
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SipConfig'
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    SipConfig:
      type: object
      properties:
        allowedCidrRanges:
          type: array
          items:
            type: string
            format: ipv4-cidr
          description: >-
            The list of IPv4 CIDR ranges from which incoming SIP calls will be
            accepted.
        allowAllAgents:
          type: boolean
          default: false
          description: >-
            If true, adds an implicit allowance for requests matching
            agent_<agent_id>@<anydomain> for any of your agents.
        allowedAgents:
          type: array
          items:
            $ref: '#/components/schemas/AgentAllowance'
          description: >-
            Calls must match a pattern for one of these agents (or the global
            agent pattern if allowAllAgents is true) to be accepted.
          maxItems: 20
        fallbackHandler:
          allOf:
            - $ref: '#/components/schemas/FallbackHandler'
          nullable: true
          description: >-
            If set, this webhook is consulted for any incoming SIP call that
            does not match an agent allowance (including the allowAllAgents
            allowance if set). The endpoint must respond promptly with a 200
            status and a JSON body with exactly one of startAgentCall,
            startCall, or reject. The first two use the request body for the
            associated call creation endpoints plus agentId in the former case,
            while reject may include `sipRejectCode` (default 603) to pass along
            to the caller.
        domain:
          type: string
          readOnly: true
          description: The domain used for SIP invites for your account.
      required:
        - allowedAgents
        - domain
    AgentAllowance:
      type: object
      properties:
        agentId:
          type: string
          format: uuid
          description: The ID of the agent to allow.
        toUserPattern:
          type: string
          description: >-
            A pattern to apply to the to user part of the URI of any incoming
            sip INVITE that determines how this agent can be reached. Defaults
            to ^agent_<agent_id>$ if not specified.
          maxLength: 200
      required:
        - agentId
    FallbackHandler:
      type: object
      properties:
        url:
          type: string
          format: uri
          description: The URL to which POSTs will be sent.
        secrets:
          type: array
          items:
            type: string
            maxLength: 120
          description: >-
            Shared secrets used to sign requests. A strong secret is
            auto-generated if omitted.
          maxItems: 10
          minItems: 1
      required:
        - url
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key

````